<%= form_for(@query) do |f| %>
  <% if @query.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@query.errors.count, "error") %> prohibited this query from being saved:</h2>

      <ul>
      <% @query.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :sql %><br>
    <%= f.text_field :sql %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>
